# Interface IntValue

A signed integer value

#### Category

Elementary types

#### Hierarchy

- IntValue

- Defined in codec/lib/format/elementary.ts:61

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/elementary.ts:68

### kind

kind: "value"

- Defined in codec/lib/format/elementary.ts:63

### type

type: IntType

- Defined in codec/lib/format/elementary.ts:62

### value

value: {
asBN: BN;
rawAsBN?: BN;
}

#### Type declaration

- ##### asBN: BN

- ##### `Optional` rawAsBN?: BN

- Defined in codec/lib/format/elementary.ts:64

Generated using TypeDoc